Loading...
Searching...
No Matches
space_numbering.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::space_numbering

## Macros

#define | _RHEOLEF_instanciate(T)
#define | _RHEOLEF_instanciate_distributed(T)

## Functions

template<class T>
size_type | ndof (const basis_basic< T > &b, const geo_size &gs, size_type map_dim)
template<class T>
size_type | dis_ndof (const basis_basic< T > &b, const geo_size &gs, size_type map_dim)
template<class T>
size_type | nnod (const basis_basic< T > &b, const geo_size &gs, size_type map_dim)
template<class T>
size_type | dis_nnod (const basis_basic< T > &b, const geo_size &gs, size_type map_dim)
template<class T>
void | dis_inod (const basis_basic< T > &b, const geo_size &gs, const geo_element &K, typename std::vector< size_type >::iterator dis_inod_tab)
template<class T>
void | dis_idof (const basis_basic< T > &b, const geo_size &gs, const geo_element &K, typename std::vector< size_type >::iterator dis_idof_tab)
template<class T>
void | dis_inod (const basis_basic< T > &b, const geo_size &gs, const geo_element &K, std::vector< size_type > &dis_inod_tab)
template<class T>
void | dis_idof (const basis_basic< T > &b, const geo_size &gs, const geo_element &K, std::vector< size_type > &dis_idof_tab)
template<class T>
void | generic_set_ios_permutation (const basis_basic< T > &b, size_t map_d, const geo_size &gs, const std::array< disarray< size_t, distributed >, reference_element::max_variant > &igev2ios_dis_igev, disarray< size_t, distributed > &idof2ios_dis_idof)
template<class T>
void | set_ios_permutations (const basis_basic< T > &b, const geo_basic< T, distributed > &omega, disarray< size_type, distributed > &idof2ios_dis_idof, disarray< size_type, distributed > &ios_idof2dis_idof)

## Macro Definition Documentation

## _RHEOLEF_instanciate

#define _RHEOLEF_instanciate | ( |  | T | ) |

Definition at line 292 of file space_numbering.cc.

## _RHEOLEF_instanciate_distributed

#define _RHEOLEF_instanciate_distributed | ( |  | T | ) |

Value:
template void generic_set_ios_permutation ( \
const basis_basic<T>& b, \
size_t map_d, \
const geo_size& gs, \
const std::array<disarray<size_t,distributed>,reference_element::max_variant>& \
igev2ios_dis_igev, \
disarray<size_t,distributed>& idof2ios_dis_idof); \
template void set_ios_permutations ( \
const basis_basic<T>& b, \
const geo_basic<T,distributed>& omega, \
disarray<size_type,distributed>& idof2ios_dis_idof, \
disarray<size_type,distributed>& ios_idof2dis_idof); \